Bug 166744 - History has probems with spaces in path
History has probems with spaces in path
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 00:03 UTC by Petr Dvorak
Modified: 2009-07-03 05:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2009-06-09 00:03:42 UTC
Product Version: NetBeans IDE Dev (Build 200906031401)
Java: 1.6.0_13; Java HotSpot(TM) 64-Bit Server VM 11.3-b02
System: Linux version 2.6.28-12-generic running on amd64; UTF-8; en_US (nb)

1. Create a new Java Application
2. Import it in Hg and commit
3. Go to Files view
4. Create a file "file.txt" in the folder "New Folder" (with space) in the projects root
5. Commit
6. Invoke Mercurial>Show History
-> there are 2 'A'-records for the 2nd changeset: "New" and "Fodler/file.txt"
-> this issue is very annoying as it disallows you from using many Hg related features (mainly diff between 2 revisions)
Comment 1 Ondrej Vrabec 2009-06-09 09:44:07 UTC
Hg log's output (hg log with the --template argument) contains files separated by a single space, so there is no way to
tell if two files in the output are two files indeed or just a single file with a space inside their path.

This could be a way to solve the issue:
http://www.nabble.com/using-template-to-distinguish-between-files-and-files-with-spaces-td16083767.html
Comment 2 Ondrej Vrabec 2009-07-02 10:01:02 UTC
fixing as cdev #03d7c08efc4e
Comment 3 Quality Engineering 2009-07-03 05:59:26 UTC
Integrated into 'main-golden', will be available in build *200907030200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/03d7c08efc4e
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #166744 - History has probems with spaces in path
hg log call, which expects files in the output, does not use --template but rather --style attribute


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo